runjs {shinyjs} | R Documentation

## Run JavaScript code

### Description

Run arbitrary JavaScript code.

### Usage

    runjs(code)

### Arguments

`code` | JavaScript code to run.

### Note

`shinyjs` must be initialized with a call to `useShinyjs()` in the app's ui.

### See Also

`useShinyjs`

### Examples

    if (interactive()) {
      library(shiny)
      shinyApp(
        ui = fluidPage(
          useShinyjs(),  # Set up shinyjs
          actionButton("btn", "Click me")
        ),
        server = function(input, output) {
          observeEvent(input$btn, {
            # Run JS code that simply shows a message
            runjs("var today = new Date(); alert(today);")
          })
        }
      )
    }

[Package shinyjs version 0.8 Index]